> For the complete documentation index, see [llms.txt](https://api-docs.roundhr.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-docs.roundhr.com/round-api/api-reference/webhooks/delete.md).

# 웹훅 삭제

## Webhook 삭제

<mark style="color:red;">`DELETE`</mark> `https://api.roundhr.com/v1/webhooks/{code}`

등록된 Webhook을 삭제합니다.

**Headers**

| Name          | Value              |
| ------------- | ------------------ |
| Content-Type  | `application/json` |
| Authorization | `Bearer <token>`   |

**Path Parameters**

| Name | Type   | 필수         | Description |
| ---- | ------ | ---------- | ----------- |
| code | string | `required` | Webhook 코드  |

**요청 예제**

```bash
curl -X DELETE https://api.roundhr.com/v1/webhooks/WH12345678 \
  -H "Authorization: Bearer <token>"
```

**응답 예제**

{% tabs %}
{% tab title="200" %}

```json
{
  "resource": {
    "code": "WH12345678",
    "active": true,
    "provider": "round",
    "callback_url": "https://example.com/webhook",
    "signing_key": "your_secret_key",
    "events": [
      "candidate_stage_changed",
      "feedback_created"
    ],
    "created_at": "2025-01-15T00:00:00+09:00",
    "updated_at": "2025-01-15T00:00:00+09:00"
  }
}
```

{% endtab %}
{% endtabs %}
